logLevel: info
logDestinations: [stdout]
readTimeout: 10s
writeTimeout: 10s
writeQueueSize: 512
udpMaxPayloadSize: 1472
api: no
rtsp: yes
protocols: [udp, multicast, tcp]
encryption: "no"
rtspAddress: :8554

rtmp: false
hls: false
webrtc: false
srt: false

pathDefaults:
  source: publisher
  sourceOnDemand: no
  sourceOnDemandStartTimeout: 10s
  sourceOnDemandCloseAfter: 10s
  maxReaders: 0
  record: no
  rtspTransport: automatic
  rpiCameraCamID: 0
  rpiCameraWidth: 1920
  rpiCameraHeight: 1080
  rpiCameraHFlip: false
  rpiCameraVFlip: false
  rpiCameraBrightness: 0
  rpiCameraContrast: 1
  rpiCameraSaturation: 1
  rpiCameraSharpness: 1
  rpiCameraExposure: normal
  rpiCameraAWB: auto
  rpiCameraDenoise: "off"
  rpiCameraShutter: 0
  rpiCameraMetering: centre
  rpiCameraGain: 0
  rpiCameraEV: 0
  rpiCameraHDR: false
  rpiCameraFPS: 30
  rpiCameraIDRPeriod: 60
  rpiCameraBitrate: 1000000
  rpiCameraProfile: main
  rpiCameraLevel: '4.1'
  rpiCameraAfMode: continuous
  rpiCameraAfRange: normal
  rpiCameraAfSpeed: normal
  rpiCameraLensPosition: 0.0
  rpiCameraTextOverlayEnable: true
  rpiCameraTextOverlay: '%Y-%m-%d %H:%M:%S - Office South'

paths:
  cam:
    source: rpiCamera
